<!DOCTYPE html>
<html lang="en">
<head>
    <title>Document</title>
</head>
<body>
    <form>
        <textarea name="response" id="res" style="width: 700px; height: 500px;"></textarea>
        <br>
        <button type="button" onclick="getAPIdata()"> GET REQUEST</button>
    </form>
    
    <br><br><br>
    <hr><hr>
    <br><br><br>

    <form>
        Name : <input type="text" id="name">
        job : <input type="text" id="age">
        <button type="button" onclick="postAPIdata()"> POST REQUEST</button>        
    </form>
</body>
<script>
    function getAPIdata() {
        var xhr = new XMLHttpRequest();
        xhr.open('GET', "https://reqres.in/api/users?page=2", true);

        xhr.onload = function(){
            console.log(xhr.responseText);
            var data = document.getElementById("res");

            data.textContent = xhr.responseText;
        };

        xhr.send();
    }

    function postAPIdata() {
        var name = document.getElementById("name").value;
        var age = document.getElementById("age").value;

        var temp = {
            "name" : name,
            "job" : age
        }

        
        var obj = JSON.stringify(temp);
        console.log(typeof(obj));

        var xhr = new XMLHttpRequest();
        xhr.open('POST', "https://reqres.in/api/users", true);

        xhr.setRequestHeader("Content-Type", "application/json");

        xhr.onreadystatechange = () => {
            if(xhr.readyState === XMLHttpRequest.DONE && xhr.status === 201) {
                console.log("Sucess");
            }
        }

        xhr.send(obj);
    }
</script>
</html>